<!DOCTYPE html>
<html>
<head>

<meta charset="utf-8" />
<title>Ejercicio 10 posicion del Raton</title>

<style type="text/css">

#info {
    width:160px; 
    border:5px solid aquamarine; 
    padding:10px; 
    height: 100px;
}

#info h1 {
    margin: 0;
}

</style>

</head>
<body>

<div id="info">Mueve el puntero</div>

<script type="text/javascript">
    function informacion(elEvento) {
          var evento = elEvento;
          var ie = navigator.userAgent.toLowerCase().indexOf('msie')!=-1;
          var coordenadaXrelativa, coordenadaYrelativa, coordenadaXabsoluta, coordenadaYabsoluta;
          if(ie) {
            if(document.documentElement && document.documentElement.scrollTop){
              coordenadaXabsoluta = evento.clientX + document.documentElement.scrollLeft;
              coordenadaYabsoluta = evento.clientY + document.documentElement.scrollTop;
            }
            else {
              coordenadaXabsoluta = evento.clientX + document.body.scrollLeft;
              coordenadaYabsoluta = evento.clientY + document.body.scrollTop;
            }
          }
          else {
            coordenadaXabsoluta = evento.pageX;
            coordenadaYabsoluta = evento.pageY;
          }
          coordenadaXrelativa = evento.clientX;
          coordenadaYrelativa = evento.clientY;
          muestraInformacion(['Ratón', 'Pagina ['+coordenadaXabsoluta+', '+coordenadaYabsoluta+']']);
      }
    
      function muestraInformacion(mensaje) {
      document.getElementById("info").innerHTML = '<h1>'+mensaje[0]+'</h1>';
      for(var i=1; i<mensaje.length; i++) {
        document.getElementById("info").innerHTML += '<p>'+mensaje[i]+'</p>';
      }
    } 
    
    document.onmousemove = informacion;
    </script>

</body>
</html>